<?php
/**
 * Template part for displaying posts
 */
?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <div class="blogger">
    <?php $foster_charity_blog_layout = get_theme_mod( 'foster_charity_blog_post_layout','Default');
    if($foster_charity_blog_layout == 'Default'){ ?>
      <h2><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title();  ?></span></a></h2>
      <div class="row">
        <?php if(has_post_thumbnail()) { ?>
          <div class="col-lg-4 col-md-12">
            <div class="post-image">
              <?php the_post_thumbnail(); ?>
            </div>
          </div>
        <?php } ?>
        <div class="<?php if(has_post_thumbnail()) { ?>col-lg-8 col-md-12"<?php } else { ?>col-lg-12"<?php } ?>>
          <?php if(get_theme_mod('foster_charity_blog_description') == 'Post Content'){ ?>
            <?php the_content(); ?>
          <?php }
          if(get_theme_mod('foster_charity_blog_description', 'Post Excerpt') == 'Post Excerpt'){ ?>
            <?php if(get_the_excerpt()) { ?>
              <div class="text"><?php $excerpt = get_the_excerpt(); echo esc_html( foster_charity_string_limit_words( $excerpt, esc_attr(get_theme_mod('foster_charity_excerpt_number','20')))); ?><?php echo esc_html( get_theme_mod('foster_charity_post_excerpt_suffix','{...}') ); ?></div>
            <?php } ?>
          <?php }?>
          <?php if( get_theme_mod('foster_charity_button_text','Continue Reading....') != ''){ ?>
            <div class="post-link">
              <a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_theme_mod('foster_charity_button_text','Continue Reading....'));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('foster_charity_button_text','Continue Reading....'));?></span></a>
            </div>
          <?php } ?>
        </div>
      </div>
      <?php if( get_theme_mod( 'foster_charity_date_hide',true) != '' || get_theme_mod( 'foster_charity_comment_hide',true) != '' || get_theme_mod( 'foster_charity_author_hide',true) != '') { ?>
        <div class="post-heading">
          <div class="row">
            <div class="col-lg-6 col-md-6">
              <div class="post-info">
                <?php if( get_theme_mod( 'foster_charity_author_hide',true) != '') { ?>
                  <i class="fa fa-user" aria-hidden="true"></i><span class="entry-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a></span>
                <?php } ?>
                <?php if( get_theme_mod( 'foster_charity_comment_hide',true) != '') { ?>
                  <i class="fas fa-comments"></i><span class="entry-comments"><?php comments_number( __('0 Comments','foster-charity'), __('0 Comments','foster-charity'), __('% Comments','foster-charity') ); ?></span>
                <?php } ?>
              </div>
            </div>
            <div class="col-lg-6 col-md-6">
              <?php if( get_theme_mod( 'foster_charity_date_hide',true) != '') { ?>
                <div class="blog-date">Posted on <a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php the_time( get_option( 'date_format' ) ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></div>
              <?php }?>
            </div>
          </div>
        </div>
      <?php } ?>
    <?php }else if($foster_charity_blog_layout == 'Center' || $foster_charity_blog_layout == 'Left'){ ?>
      <h2><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
      <?php if(has_post_thumbnail()) { ?>
        <div class="post-image">
          <?php the_post_thumbnail(); ?>
        </div>
      <?php } ?>
      <?php if(get_theme_mod('foster_charity_blog_description') == 'Post Content'){ ?>
        <?php the_content(); ?>
      <?php }
      if(get_theme_mod('foster_charity_blog_description', 'Post Excerpt') == 'Post Excerpt'){ ?>
        <?php if(get_the_excerpt()) { ?>
          <div class="text"><?php $excerpt = get_the_excerpt(); echo esc_html( foster_charity_string_limit_words( $excerpt, esc_attr(get_theme_mod('foster_charity_excerpt_number','20')))); ?><?php echo esc_html( get_theme_mod('foster_charity_post_excerpt_suffix','{...}') ); ?></div>
        <?php } ?>
      <?php }?>
      <?php if( get_theme_mod('foster_charity_button_text','Continue Reading....') != ''){ ?>
        <div class="post-link">
          <a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_theme_mod('foster_charity_button_text','Continue Reading....'));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('foster_charity_button_text','Continue Reading....'));?></span></a>
        </div>
      <?php } ?>
      <?php if( get_theme_mod( 'foster_charity_date_hide',true) != '' || get_theme_mod( 'foster_charity_comment_hide',true) != '' || get_theme_mod( 'foster_charity_author_hide',true) != '') { ?>
        <div class="post-heading">
          <div class="row">
            <div class="col-lg-6 col-md-6">
              <div class="post-info">
                <?php if( get_theme_mod( 'foster_charity_author_hide',true) != '') { ?>
                  <i class="fa fa-user" aria-hidden="true"></i><span class="entry-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a></span>
                <?php } ?>
                <?php if( get_theme_mod( 'foster_charity_comment_hide',true) != '') { ?>
                  <i class="fas fa-comments"></i><span class="entry-comments"><?php comments_number( __('0 Comments','foster-charity'), __('0 Comments','foster-charity'), __('% Comments','foster-charity') ); ?></span>
                <?php } ?>
              </div>
            </div>
            <div class="col-lg-6 col-md-6">
              <?php if( get_theme_mod( 'foster_charity_date_hide',true) != '') { ?>
                <div class="blog-date">Posted on <a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php the_time( get_option( 'date_format' ) ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></div>
              <?php }?>
            </div>
          </div>
        </div>
      <?php } ?>
    <?php } ?>
  </div>
</article>